Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.jsp
Class PortletJspBase

    java.lang.Object
      com.bea.portlet.jsp.PortletJspBase

All Implemented Interfaces
  javax.servlet.jsp.HttpJspPage, javax.servlet.jsp.JspPage, javax.servlet.Servlet

    public abstract class PortletJspBase

extends Object
implements javax.servlet.Servlet, javax.servlet.jsp.HttpJspPage

A base class for JSP pages included within portlets conforming to the Java portlet API.

This base class ensures that the following variables are automatically available in the JSP:

`portletRequest`: An object implementing the `javax.portlet.PortletRequest` interface.
`renderResponse`: An object implementing the `javax.portlet.RenderResponse` interface.
`portletConfig`: An object implementing the `javax.portlet.PortletConfig` interface.

Portlet JSP pages could either extend this class explicitly as in `<%@page extends="com.bea.portlet.jsp.PortletJspBase"%>`, or all JSP pages in a web app extend this class automatically by specifying the following in weblogic.xml.

        <jsp-descriptor>
           <jsp-param>
              <param-name>superclass</param-name>
              <param-value>com.bea.portlet.jsp.PortletJspBase</param-value>
           </jsp-param>
        </jsp-descriptor>

See Also
  `RenderRequest`, `RenderResponse`, `PortletConfig`

Field Summary
`protected PortletConfig` | `portletConfig`
`protected RenderRequest` | `renderRequest`
`protected RenderResponse` | `renderResponse`
`protected javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`PortletJspBase()`

Method Summary
`abstract void` | `_jspService(javax.servlet.http.HttpServletRequest rq, javax.servlet.http.HttpServletResponse rp)`
`void` | `destroy()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    protected javax.servlet.ServletConfig servletConfig

### renderRequest

    protected RenderRequest renderRequest

### renderResponse

    protected RenderResponse renderResponse

### portletConfig

    protected PortletConfig portletConfig

Constructor Detail

### PortletJspBase

    public PortletJspBase()

Method Detail

### init

    public final void init(javax.servlet.ServletConfig config)

  Specified by:
    `init` in interface `javax.servlet.Servlet`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`

### service

    public final void service(javax.servlet.ServletRequest request,
                              javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              IOException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws
    `javax.servlet.ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `javax.servlet.jsp.JspPage`

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `javax.servlet.jsp.JspPage`

### _jspService

    public abstract void _jspService(javax.servlet.http.HttpServletRequest rq,
                                     javax.servlet.http.HttpServletResponse rp)
                              throws javax.servlet.ServletException,
                                     IOException

  Specified by:
    `_jspService` in interface `javax.servlet.jsp.HttpJspPage`
  Throws
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.